Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 668250 - app-text/htp-1.19 : Can't locate hlhtp.pl in @INC, Command "perl pphtp.pl -s ref.tmp" exited with an error code of 512
Summary: app-text/htp-1.19 : Can't locate hlhtp.pl in @INC, Command "perl pphtp.pl -s...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Web Application Packages Maintainers
URL:
Whiteboard: ~arch only
Keywords:
Depends on:
Blocks: perl-5.26-no-dot-inc
  Show dependency tree
 
Reported: 2018-10-10 16:06 UTC by Toralf Förster
Modified: 2018-12-22 23:51 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.25 KB, text/plain)
2018-10-10 16:06 UTC, Toralf Förster
Details
app-text:htp-1.19:20181010-091650.log (app-text:htp-1.19:20181010-091650.log,14.41 KB, text/plain)
2018-10-10 16:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,202.07 KB, text/plain)
2018-10-10 16:06 UTC, Toralf Förster
Details
environment (environment,75.33 KB, text/plain)
2018-10-10 16:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.55 KB, application/x-bzip)
2018-10-10 16:06 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.13 KB, application/x-bzip)
2018-10-10 16:07 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-10-10 16:06:45 UTC
htp: error encountered, file "alttext.html" not completed

make: *** [Makefile:67: homepage/ref/alttext.html] Error 1
 * ERROR: app-text/htp-1.19::gentoo failed (compile phase):
 *   emake failed
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_libressl_20181006-210858

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *



emerge -qpvO app-text/htp
[ebuild  N    ] app-text/htp-1.19
Comment 1 Toralf Förster gentoo-dev 2018-10-10 16:06:47 UTC
Created attachment 550468 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-10-10 16:06:50 UTC
Created attachment 550470 [details]
app-text:htp-1.19:20181010-091650.log
Comment 3 Toralf Förster gentoo-dev 2018-10-10 16:06:52 UTC
Created attachment 550472 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-10-10 16:06:55 UTC
Created attachment 550474 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-10-10 16:06:57 UTC
Created attachment 550476 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-10-10 16:07:00 UTC
Created attachment 550478 [details]
temp.tbz2
Comment 7 Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2018-10-10 17:07:34 UTC
Can't locate hlhtp.pl in @INC (@INC contains: /etc/perl /usr/local/lib64/perl5/5.26.2/x86_64-linux /usr/local/lib64/perl5/5.26.2 /usr/lib64/perl5/vendor_perl/5.26.2/x86_64-linux /usr/lib64/perl5/vendor_perl/5.26.2 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.26.2/x86_64-linux /usr/lib64/perl5/5.26.2) at pphtp.pl line 9.
[!] macros.def line 19: Command "perl pphtp.pl -s ref.tmp" exited with an error code of 512

This is almost certainly a perl 5.26+ .-in-INC issue. bug #612408

Given that:

- hlhtp.pl is part of this dist
- that pphtp.pl tries to require it on line 9

pphtp.pl was relying on the "." in @INC for hlhtp.pl to be loadable.

Fixing pphtp.pl should be straightforward,

Either one of the options here: https://wiki.gentoo.org/wiki/Project:Perl/Dot-In-INC-Removal#Workarounds

Or possibly adding " -I." to the perl invocation from macros.def